#@TYPE: Distribution
#@NAME: Jornada Linux Mobility Edition (JLime) <www.jlime.com>
#@DESCRIPTION: Distribution file for JLime (Linux for HP jornada 5xx,6xx,7xx,8xx series)
#@MAINTAINER: Kristoffer Ericson <Kristoffer@jlime.com>

DISTRO_NAME = "JLime"
DISTRO_VERSION = "Shrek"
DISTRO_TYPE = "release"

export FEED_URLS_jlime = "shrek##http://www.jlime.com/downloads/Releases/shrek/${TARGET_ARCH}/feed/"

SRCDATE = "20050518"

PREFERRED_PROVIDERS  =  "virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}g++:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}libc-for-gcc:glibc"
PREFERRED_PROVIDER_virtual/kernel = "jlime-kernel-${TARGET_ARCH}"
PREFERRED_PROVIDER_xserver        = "xserver-kdrive"

PREFERRED_VERSION_binutils = "2.15.94.0.1"
PREFERRED_VERSION_binutils-cross = "2.15.94.0.1"
PREFERRED_VERSION_binutils-cross-sdk = "2.15.94.0.1"
PREFERRED_VERSION_gcc = "3.4.3"
PREFERRED_VERSION_gcc-cross = "3.4.3"
PREFERRED_VERSION_gcc-cross-initial = "3.4.3"
PREFERRED_VERSION_linux-libc-headers = "2.6.7.0"                                             		    
PREFERRED_VERSION_glib-2.0-native = "2.6.2"
PREFERRED_VERSION_glib-2.0 = "2.6.2"
PREFERRED_VERSION_dpkg = "1.10.23"
PREFERRED_VERSION_xserver-kdrive = "20050207"

INHERIT += "package_tar package_ipk"
BBINCLUDELOGS = "yes"
MODUTILS = "26"
IMAGE_FSTYPES = "tar.bz2"

BOOTSTRAP_EXTRA_RDEPENDS += "pcmcia-cs ncurses nano wireless-tools            \
kernel-module-3c574-cs    kernel-module-3c589-cs    kernel-module-8390        \
kernel-module-airo-cs     kernel-module-airo        console-tools             \
kernel-module-arlan                                                           \
kernel-module-atmel-cs    kernel-module-atmel       kernel-module-axnet-cs    \
kernel-module-hermes                                                          \
kernel-module-wavelan     kernel-module-wavelan-cs                            \
kernel-module-xirc2ps-cs  kernel-module-orinoco-cs  kernel-module-orinoco     \
kernel-module-nmclan-cs   kernel-module-pcnet-cs    e2tools e2fsprogs"

TARGET_OS = "linux"

OPIE_VERSION = "1.2.1"  
require conf/distro/include/preferred-opie-versions.inc  
